TREC 2001 VideoTrack: Known-Items Task Evaluation: Class IntervalComparator

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class IntervalComparator

    java.lang.Object
      |
      +--IntervalComparator

All Implemented Interfaces:
  java.util.Comparator

public class IntervalComparator
extends java.lang.Object
implements java.util.Comparator

A class that implements the java.util.Comparator interface to compare two transitions regarding their limits. It compares the transitions regarding their pre-frame and then if needed their post-frame.

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares its two arguments for ordering them.
`static IntervalComparator` | `getInstance()` Returns the unique instance of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Method Detail

### getInstance

    public static IntervalComparator getInstance()

  Returns the unique instance of this class.

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)
                throws java.lang.ClassCastException

  Compares its two arguments for ordering them. Uses the rank and start and stop times if needed to compare. Avoid the doubles (same start and stop whatever the rank).
  Specified by:
    `compare` in interface `java.util.Comparator`
  Returns:
    a negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.
  Throws:
    `java.lang.ClassCastException` - Thrown if one of the arguments is not a transition instance.

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov